function plotcmapdots( colormap, numdots )
% plotcolormapdots allows to create a set of invisible dots to be used as
% a legend within multiple plots

if nargin<2
    numdots=size(colormap,1);
end

for cmn=1:numdots
    plot(-Inf,-Inf,'.','Color',colormap(cmn,:),'markersize',12); hold on;
end


end

