function plotsublabel(varargin)

if nargin<1
    error('provide label string');
else
    if nargin<2
        fontsz=20;
    else
        fontsz=varargin{2};
    end
    labelstr=varargin{1};
end

ax=gca; 
labelpos=ax.Position;
labelpos(1)=max(labelpos(1)-labelpos(3)*.1,0);
labelpos(3)=eps;
labelpos(2)=min(labelpos(2)+labelpos(4)+labelpos(4)*.2,1);
labelpos(4)=eps;
    annotation('textbox',labelpos,'String',labelstr,...
        'FontSize',fontsz,'Fontweight','bold','Edgecolor','none','HorizontalAlignment','center','interpreter','latex');
end