function matvec=vectorisen(mat,varargin)

if nargin>=2
    dims=varargin{1};
    if any(diff(dims)~=1)
        error('dims have to be contiguous and increasing! You can use permute() to make it so.');
    end
    szm=size(mat);
    nszm=length(szm);
    cdims=setdiff(1:nszm,dims);
    permmat=permute(mat,[cdims dims]);
    permmatvec=eval(['permmat(' repmat(':,',1,length(cdims)) ':)']);
    matvec=permute(permmatvec,[cdims(cdims<dims(1)) cdims(cdims>dims(end))-length(dims)+1 dims(1)]);
else
    matvec=reshape(mat,[1 numel(mat)]);
end
end