function [ Ymat ] = decimatematrix( Xmat, decimfactor)

[sz1, sz2]=size(Xmat);

% TIME HAS TO LAY ALONG 1st DIM
% FACTOR HAS TO DIVIDE 1st SIZE

if(rem(sz1,decimfactor)~=0)
    error('Signal samples does not divide Decim Factor, check decimation does not overlap.');
end

XmatRes=reshape(Xmat,[1 sz1*sz2]);
XmatResDec=decimate(XmatRes,decimfactor);

Ymat=reshape(XmatResDec,[sz1/decimfactor sz2]);

end

